This module lets you reuse fields automatically within the same entity type. It's useful when you have multiple fields with the same configuration and you want to avoid duplicating the field settings.

## Requirements

This module requires the following modules to be installed:

- Drupal core ^10 || ^11
- Field (`field`)
- Field UI (`field_ui`)

## Installation

- Install the module as you would normally install a contributed Drupal module. Visit [this guide](https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules) for further information.
- After installation, edit the field that you want to reuse and configure the `Re-Field` settings.

## Use cases

- Reuse fields within the same entity type.

## Configuration

This module adds a configuration page where you can define multiple `Section variations`. The configuration page is located at `/admin/config/content/layout-builder-section-variations`.

## Usage

- Once the module is enabled and configured, you can start reusing fields within the same entity type.
- Edit the field that you want to reuse and configure the `Re-Field` settings.
- Every reused field will be automatically added to the relevant bundles.

## Support

This is a contributed module and isn't officially supported by the Drupal community. However, you can open an issue on the module's page on drupal.org if you find any bugs or have feature requests.

